When you upload the first time or you update manually the plugin you could have the error:

The link you followed has expired. Please try again.

In this case the problem is the "PHP Max Post Size" on your server is too low. You can retrieve your value on Elementor System Info.

Please set it to at least 20M. You can ask it to your host or use this tutorial to do it yourself.

Did this answer your question?